form {
	width: 100%;
	grid-column: 3 / 5;
	display: flex;
	flex-direction: column;
	margin: 1em auto;
	padding: 1em;
	border-radius: 0.25em;
	gap: 0.25em;
	background-color: var(--secondary);
}

.form-group {
	margin-bottom: 1rem;
}

form label {
	font-weight: bold;
	display: block;
	margin-bottom: 0.5rem;
}

input,
textarea {
	width: 100%;
	padding: 0.5rem;
	font-size: 1.125em;
	background-color: var(--text-primary);
	border: 2px solid var(--tertiary);
	border-radius: 0.25em;
	box-sizing: border-box;
}
input {
	max-width: 30ch;
}
textarea {
	max-width: 80ch;
	height: 6em;
	min-height: 120px;
	resize: vertical;
	overflow-y: scroll;
}

input[type='submit'] {
	max-width: fit-content;
	background-color: var(--primary);
	border: 2px solid var(--primary);
	color: white;
	padding: 0.5rem 1rem;
	cursor: pointer;
	border-radius: 4px;
	font-size: 1rem;
}

input[type='submit']:hover {
	background-color: var(--secondary);
}

input:focus,
textarea:focus {
	outline: none;
}

/* Validation states */
input:user-invalid {
	border-color: var(--color-failure);
}

input:user-valid {
	border-color: var(--color-success);
}

input:focus:invalid {
	border-color: var(--color-warning);
}

.error {
	color: red;
	font-size: 0.9em;
}

@media (max-width: 800px) {
	form {
		grid-column: 1 / 7;
	}
}
